PaidGoods
API referenceAffiliates

The affiliate commission of an invoice

GET
/v1/stores/{storeId}/invoices/{orderId}/affiliate

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
orderId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/invoices/string/affiliate"
{  "commission": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "orderNumber": -9007199254740991,    "orderUniqueId": "string",    "buyerEmail": "string",    "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0",    "affiliateEmail": "string",    "affiliateCode": "string",    "codeUsed": "string",    "attribution": "code",    "tierName": "string",    "commissionBp": -9007199254740991,    "state": "pending",    "skipReason": "string",    "skipLabel": "string",    "currency": "string",    "baseMinor": -9007199254740991,    "commissionMinor": -9007199254740991,    "reversedMinor": -9007199254740991,    "buyerDiscountMinor": -9007199254740991,    "destination": "store_balance",    "earnedAt": "string",    "createdAt": "string"  }}